Creating non-versioned shared libraries for android

While porting QGIS to android using necessitas I encountered the problem of versioned libs. Android does not support versioned libs and it is not going to. In the first vesions I used rpl -R -e libqgis_core.so.1.9.90 „libqgis_core.sox00x00x00x00x00x00x00“ $APK_LIBS_DIR and similar hacks to remove the version from the libs. But it was rather hacky. Then I found […]